POWERNOW(4) | Device Drivers Manual (x86) | POWERNOW(4)

# NAME

`powernow` — AMD PowerNow! and Cool'n'Quiet

# SYNOPSIS

`powernow0 at cpu0`

# DESCRIPTION

The `powernow` driver supports AMD “PowerNow!” and “Cool'n'Quiet” CPU frequency scaling technologies. The following sysctl(8) variables are available with `powernow`:

`machdep.cpu.frequency.target`
  The target frequency of the CPUs.
`machdep.cpu.frequency.current`
  The current frequency.
`machdep.cpu.frequency.available`
  The available frequencies.

Note, however, that these variables are not guaranteed to exist in the future versions of NetBSD.

# SEE ALSO

acpicpu(4), x86/est(4), x86/odcm(4)

# CAVEATS

The `powernow` driver is considered a legacy interface to be used only with relatively old systems. The driver supports only AMD processor families K7 (for instance, Duron, Athlon, and some Semprons) and K8 (namely, the early 64-bit family, including Athlon 64, Opteron, and Turion).

September 7, 2020 | NetBSD 11.0